## bcg729 1.0.4

=== CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2014  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################

cmake_minimum_required(VERSION 3.0)
project(bcg729 VERSION 1.0.4 LANGUAGES C)


set(PACKAGE "${PROJECT_NAME}")
set(PACKAGE_NAME "${PROJECT_NAME}")
set(PACKAGE_VERSION "${PROJECT_VERSION}")
set(PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set(PACKAGE_BUGREPORT "support@belledonne-communications.com")
set(PACKAGE_TARNAME "bcg729")
set(PACKAGE_URL "")
set(VERSION "${PACKAGE_VERSION}")


option(ENABLE_SHARED "Build shared library." YES)
option(ENABLE_STATIC "Build static library." YES)
option(ENABLE_TESTS "Enable compilation of the tests." NO)

include(GNUInstallDirs)


include_directories(
	include
	src
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_BINARY_DIR}/src
)
set(MSVC_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/include/MSVC")
if(MSVC)
	include_directories(${MSVC_INCLUDE_DIR})
endif()

set(BCG729_CPPFLAGS )
if(ENABLE_STATIC)
	set(BCG729_STATIC 1)
	list(APPEND BCG729_CPPFLAGS "-DBCG729_STATIC")
endif()

add_definitions(-DHAVE_CONFIG_H)
if(MSVC)
	add_definitions("/W3")
else()
	add_definitions("-Wall")
	if (NOT IOS)
		add_definitions("-Werror")
	endif()
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

add_subdirectory(include)
add_subdirectory(src)
if(ENABLE_TESTS)
	add_subdirectory(test)
endif()


include(CMakePackageConfigHelpers)
write_basic_package_version_file(
	"${CMAKE_CURRENT_BINARY_DIR}/Bcg729ConfigVersion.cmake"
	VERSION ${PACKAGE_VERSION}
	COMPATIBILITY AnyNewerVersion
)
export(EXPORT Bcg729Targets
	FILE "${CMAKE_CURRENT_BINARY_DIR}/Bcg729Targets.cmake"
)
configure_file(Bcg729Config.cmake.in
	"${CMAKE_CURRENT_BINARY_DIR}/Bcg729Config.cmake"
	@ONLY
)

set(CONFIG_PACKAGE_LOCATION "${CMAKE_INSTALL_DATADIR}/Bcg729/cmake")
install(EXPORT Bcg729Targets
	FILE Bcg729Targets.cmake
	DESTINATION ${CONFIG_PACKAGE_LOCATION}
)
install(FILES
	"${CMAKE_CURRENT_BINARY_DIR}/Bcg729Config.cmake"
	"${CMAKE_CURRENT_BINARY_DIR}/Bcg729ConfigVersion.cmake"
	DESTINATION ${CONFIG_PACKAGE_LOCATION}
)

add_subdirectory(build)

=== build/CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2017-2018  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################

if(NOT CPACK_PACKAGE_NAME)
	set(CPACK_PACKAGE_NAME "${PROJECT_NAME}")
ENDIF()

set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/../COPYING")

set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})

set(CPACK_PACKAGE_FILE_NAME ${CPACK_PACKAGE_NAME}-${PROJECT_VERSION})

set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_IGNORE_FILES
	"${CMAKE_BINARY_DIR}"
	"^${PROJECT_SOURCE_DIR}/.git*"
)

message("-- Package file name is ${CPACK_PACKAGE_FILE_NAME}" )

set(CPACK_SOURCE_PACKAGE_FILE_NAME ${CPACK_PACKAGE_FILE_NAME})

configure_file("rpm/bcg729.spec.cmake" "${PROJECT_SOURCE_DIR}/bcg729.spec" @ONLY)

include(CPack)

=== src/CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2014  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################

set(BCG729_SOURCE_FILES
	adaptativeCodebookSearch.c
	codebooks.c
	computeAdaptativeCodebookGain.c
	computeLP.c
	computeWeightedSpeech.c
	decodeAdaptativeCodeVector.c
	decodeFixedCodeVector.c
	decodeGains.c
	decodeLSP.c
	decoder.c
	encoder.c
	findOpenLoopPitchDelay.c
	fixedCodebookSearch.c
	gainQuantization.c
	interpolateqLSP.c
	LP2LSPConversion.c
	LPSynthesisFilter.c
	LSPQuantization.c
	postFilter.c
	postProcessing.c
	preProcessing.c
	qLSP2LP.c
	utils.c
	cng.c
	dtx.c
	vad.c
)

if(ENABLE_STATIC)
	add_library(bcg729-static STATIC ${BCG729_SOURCE_FILES})
	target_compile_definitions(bcg729-static PRIVATE "-DBCG729_EXPORTS")
	set_target_properties(bcg729-static PROPERTIES OUTPUT_NAME bcg729)
	install(TARGETS bcg729-static EXPORT Bcg729Targets
		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
		PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
	)
endif()
if(ENABLE_SHARED)
	add_library(bcg729 SHARED ${BCG729_SOURCE_FILES})
	target_compile_definitions(bcg729 PRIVATE "-DBCG729_EXPORTS")
	set_target_properties(bcg729 PROPERTIES VERSION 0)
	if(MSVC)
		if(CMAKE_BUILD_TYPE STREQUAL "Debug" OR CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
			install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_BUILD_TYPE}/libbcg729.pdb
				DESTINATION ${CMAKE_INSTALL_BINDIR}
				PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
			)
		endif()
		set_target_properties(bcg729 PROPERTIES PREFIX "lib")
	endif()
	install(TARGETS bcg729 EXPORT Bcg729Targets
		RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
		LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
		PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
	)
endif()

=== debian/changelog ===
bcg729 (1.0.4) bionic; urgency=medium

  * Internal release for Ubuntu 18.04 LTS

 -- Thomas Lobker <thomas@mediaserve.nl>  Sat, 13 Oct 2018 14:46:18 +0000

=== debian/control ===
Source: bcg729
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Kilian Krause <kilian@debian.org>, Tzafrir Cohen <tzafrir@debian.org>
Build-Depends:
 debhelper (>= 9),
 autotools-dev,
 dh-autoreconf,
 pkg-config,
 unzip, wget
Standards-Version: 3.9.6
Section: libs
Homepage: http://www.linphone.org/technical-corner/bcg729/overview
Vcs-Browser: https://github.com/BelledonneCommunications/bcg729
Vcs-Git: git://git.linphone.org/bcg729.git

Package: libbcg729-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: ITU G.729 Annex A compatible audio codec
 Bcg729 is an open source implementation of the ITU G729 Annex A
 speech codec. Written in C 99, the library is fully portable. It
 runs on many platforms, including ARM and x86.
 .
 Bcg729 supports concurrent channels encoding/decoding for multi
 call application such as conferencing.
 .
 The project was developed as part of mediastreamer2, Linphone's
 media processing engine.

Package: libbcg729-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libbcg729-0 (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for the ITU G.729 compatible audio codec
 Bcg729 is an open source implementation of the ITU G729 Annex A
 speech codec. Written in C 99, the library is fully portable. It
 runs on many platforms, including ARM and x86.
 .
 This package contains the development files.

Package: libbcg729-0-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends:
 libbcg729-0 (= ${binary:Version}),
 ${misc:Depends}
Description: Debug symbols for the ITU G.729 compatible audio codec
 Bcg729 is an open source implementation of the ITU G729 Annex A
 speech codec. Written in C 99, the library is fully portable. It
 runs on many platforms, including ARM and x86.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# Uncomment this to change the hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel \
		--with autotools-dev --with autoreconf \
		--buildsystem=autoconf

override_dh_auto_clean:
	# Make sure README exists for Makefile.am DIST_COMMON files.
	# See also autogen.sh.
	touch ChangeLog README
	dh_auto_clean

override_dh_autoreconf:
	dh_autoreconf -- ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --enable-static --enable-shared

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_strip:
	dh_strip -plibbcg729-0 --dbg-package=libbcg729-0-dbg

=== debian/watch ===
version=3

opts=\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bcg729-$1\.tar\.gz/,\
  https://github.com/BelledonneCommunications/bcg729/tags .*/v?(\d\S*)\.tar\.gz

## bcg729 1.1.1

=== include/CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2017  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################

set(HEADER_FILES
	decoder.h
	encoder.h
)

set(BCG729_HEADER_FILES )
foreach(HEADER_FILE ${HEADER_FILES})
	list(APPEND BCG729_HEADER_FILES "${CMAKE_CURRENT_LIST_DIR}/bcg729/${HEADER_FILE}")
endforeach()
set(BCG729_HEADER_FILES ${BCG729_HEADER_FILES} PARENT_SCOPE)

install(FILES ${BCG729_HEADER_FILES}
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/bcg729
	PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
)

=== test/CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2014  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################

set(BCG729_LIBRARY bcg729)

set(UTIL_SRC src/testUtils.c  src/testUtils.h)

add_executable(adaptativeCodebookSearchTest src/adaptativeCodebookSearchTest.c ${UTIL_SRC})
target_link_libraries(adaptativeCodebookSearchTest ${BCG729_LIBRARY})

add_executable(computeAdaptativeCodebookGainTest src/computeAdaptativeCodebookGainTest.c ${UTIL_SRC})
target_link_libraries(computeAdaptativeCodebookGainTest ${BCG729_LIBRARY})

add_executable(computeLPTest src/computeLPTest.c ${UTIL_SRC}) 
target_link_libraries(computeLPTest ${BCG729_LIBRARY})

add_executable(computeWeightedSpeechTest src/computeWeightedSpeechTest.c ${UTIL_SRC})
target_link_libraries(computeWeightedSpeechTest ${BCG729_LIBRARY})

add_executable(decodeAdaptativeCodeVectorTest src/decodeAdaptativeCodeVectorTest.c ${UTIL_SRC})
target_link_libraries(decodeAdaptativeCodeVectorTest ${BCG729_LIBRARY})

add_executable(decodeFixedCodeVectorTest src/decodeFixedCodeVectorTest.c ${UTIL_SRC})
target_link_libraries(decodeFixedCodeVectorTest ${BCG729_LIBRARY})

add_executable(decodeGainsTest src/decodeGainsTest.c ${UTIL_SRC})
target_link_libraries(decodeGainsTest ${BCG729_LIBRARY})

add_executable(decodeLSPTest src/decodeLSPTest.c ${UTIL_SRC})
target_link_libraries(decodeLSPTest ${BCG729_LIBRARY})

add_executable(decoderTest src/decoderTest.c ${UTIL_SRC})
target_link_libraries(decoderTest ${BCG729_LIBRARY})

add_executable(CNGRFC3389decoderTest src/CNGRFC3389decoderTest.c ${UTIL_SRC})
target_link_libraries(CNGRFC3389decoderTest ${BCG729_LIBRARY})

add_executable(CNGdecoderTest src/CNGdecoderTest.c ${UTIL_SRC})
target_link_libraries(CNGdecoderTest ${BCG729_LIBRARY})

add_executable(decoderMultiChannelTest src/decoderMultiChannelTest.c ${UTIL_SRC})
target_link_libraries(decoderMultiChannelTest ${BCG729_LIBRARY})

add_executable(encoderTest src/encoderTest.c ${UTIL_SRC})
target_link_libraries(encoderTest ${BCG729_LIBRARY})

add_executable(encoderMultiChannelTest src/encoderMultiChannelTest.c ${UTIL_SRC})
target_link_libraries(encoderMultiChannelTest ${BCG729_LIBRARY})

add_executable(findOpenLoopPitchDelayTest src/findOpenLoopPitchDelayTest.c ${UTIL_SRC})
target_link_libraries(findOpenLoopPitchDelayTest ${BCG729_LIBRARY})

add_executable(fixedCodebookSearchTest src/fixedCodebookSearchTest.c ${UTIL_SRC})
target_link_libraries(fixedCodebookSearchTest ${BCG729_LIBRARY})

add_executable(g729FixedPointMathTest src/g729FixedPointMathTest.c ${UTIL_SRC})
target_link_libraries(g729FixedPointMathTest ${BCG729_LIBRARY} m)

add_executable(gainQuantizationTest src/gainQuantizationTest.c ${UTIL_SRC})
target_link_libraries(gainQuantizationTest ${BCG729_LIBRARY})

add_executable(interpolateqLSPAndConvert2LPTest src/interpolateqLSPAndConvert2LPTest.c ${UTIL_SRC})
target_link_libraries(interpolateqLSPAndConvert2LPTest ${BCG729_LIBRARY})

add_executable(LP2LSPConversionTest src/LP2LSPConversionTest.c ${UTIL_SRC})
target_link_libraries(LP2LSPConversionTest ${BCG729_LIBRARY})

add_executable(LPSynthesisFilterTest src/LPSynthesisFilterTest.c ${UTIL_SRC})
target_link_libraries(LPSynthesisFilterTest ${BCG729_LIBRARY})

add_executable(LSPQuantizationTest src/LSPQuantizationTest.c ${UTIL_SRC})
target_link_libraries(LSPQuantizationTest ${BCG729_LIBRARY})

add_executable(postFilterTest src/postFilterTest.c ${UTIL_SRC})
target_link_libraries(postFilterTest ${BCG729_LIBRARY})

add_executable(postProcessingTest src/postProcessingTest.c ${UTIL_SRC})
target_link_libraries(postProcessingTest ${BCG729_LIBRARY})

add_executable(preProcessingTest src/preProcessingTest.c ${UTIL_SRC})
target_link_libraries(preProcessingTest ${BCG729_LIBRARY})

add_executable(computeNoiseExcitationTest src/computeNoiseExcitationTest.c ${UTIL_SRC})
target_link_libraries(computeNoiseExcitationTest ${BCG729_LIBRARY})

add_executable(encoderVADTest src/encoderVADTest.c ${UTIL_SRC})
target_link_libraries(encoderVADTest ${BCG729_LIBRARY})

file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/testCampaign.cmake DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/ )
file(RENAME ${CMAKE_CURRENT_BINARY_DIR}/testCampaign.cmake ${CMAKE_CURRENT_BINARY_DIR}/testCampaign )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/testCampaignAll.cmake ${CMAKE_CURRENT_BINARY_DIR}/testCampaignAll)

=== debian/changelog ===
bcg729 (1.1.1-3) unstable; urgency=medium

  * cmake patches from upstream
  * static libs no longer provided
  * provide cmake files on -dev package (Closes: #986407, #1044023)
  * update copyright, remove tzafrir from Uploaders
  * pkg-config => pkgconf
  * Use secure copyright file specification URI.
  * Move source package lintian overrides to debian/source.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Set upstream metadata fields: Repository.
  * debian/rules: BUILD_SHARED_LIBS=ON
  * build with fresh ortp (Closes: #1094044)

 -- Victor Seva <vseva@debian.org>  Fri, 07 Feb 2025 08:42:06 +0100

bcg729 (1.1.1-2) unstable; urgency=medium

  * update Standards-Version, no changes needed
  * use build options as described on upstream's
    documentation

 -- Victor Seva <vseva@debian.org>  Tue, 08 Dec 2020 09:30:28 +0100

bcg729 (1.1.1-1) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Non-maintainer upload (for merge-request purposes)
  * New upstream release
    - mediastreamer plugin not shipped separately
    - license change to GPL-3+
  * Bump debhelper compat level to 13
  * Use cmake as build system, the one supported by default by upstream
  * Enable DEB_BUILD_MAINT_OPTIONS = hardening=+all

  [ Felix Lechner ]
  * Ship .la file for mediastreamer plugin
  * Use proper multiarch path in rules
  * Change transport in watch file to plain http for PET3
  * Pointed Vcs: fields in control to debian repo, not upstream

  [ Victor Seva ]
  * update debian/watch
  * New upstream version 1.0.4

  [ Felix Lechner ]
  * Initial release (Closes: #785480)

 -- Victor Seva <vseva@debian.org>  Wed, 02 Dec 2020 10:58:36 +0100

=== debian/control ===
Source: bcg729
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders:
 Victor Seva <vseva@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libortp-dev,
 pkgconf,
Standards-Version: 4.6.2
Section: libs
Homepage: https://github.com/BelledonneCommunications/bcg729
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/bcg729/
Vcs-Git: https://salsa.debian.org/pkg-voip-team/bcg729.git

Package: libbcg729-0
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ITU G.729 Annex A compatible audio codec
 Bcg729 is an open source implementation of the ITU G729 Annex A
 speech codec. Written in C 99, the library is fully portable. It
 runs on many platforms, including ARM and x86.
 .
 Bcg729 supports concurrent channels encoding/decoding for multi
 call application such as conferencing.
 .
 The project was developed as part of mediastreamer2, Linphone's
 media processing engine. It therefore also contains the glue for
 integration into Linphone/mediastreamer2.

Package: libbcg729-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libbcg729-0 (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for the ITU G.729 compatible audio codec
 Bcg729 is an open source implementation of the ITU G729 Annex A
 speech codec. Written in C 99, the library is fully portable. It
 runs on many platforms, including ARM and x86.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# Uncomment this to change the hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --buildsystem=cmake --without autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_SHARED_LIBS=YES \
		-DENABLE_UNIT_TESTS=NO \

## bcg729 1.1.1+provoice1

=== debian/changelog ===
bcg729 (1.1.1+provoice1) focal; urgency=medium

  * Release for ProVoice on Ubuntu 20.04 LTS

 -- Thomas Lobker <thomas@mediaserve.nl>  Tue, 09 Mar 2021 14:54:40 +0000

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders:
  Victor Seva <vseva@debian.org>,
+ Tzafrir Cohen <tzafrir@debian.org>,
 Build-Depends:
  cmake,
- debhelper-compat (= 13),
+ debhelper-compat (= 12),
  libortp-dev,
- pkgconf,
-Standards-Version: 4.6.2
+ pkg-config,
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://github.com/BelledonneCommunications/bcg729
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/bcg729/
